Skip to main content
GET
/
events
/
registration-status
Retrieve all registration events
curl --request GET \
  --url https://api.eigenexplorer.com/events/registration-status \
  --header 'X-API-Token: <x-api-token>'
import requests

url = "https://api.eigenexplorer.com/events/registration-status"

headers = {"X-API-Token": "<x-api-token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Token': '<x-api-token>'}};

fetch('https://api.eigenexplorer.com/events/registration-status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "tx": "0xae41958d0342a4485536f701c72723625131680f182eb21f95abdac6d74d0ff0",
  "blockNumber": 21045085,
  "blockTime": "2024-10-25T20:41:11.000Z",
  "type": "REGISTRATION_STATUS",
  "args": {
    "operator": "0x9abce41e1486210ad83deb831afcdd214af5b49d",
    "avs": "0xb73a87e8f7f9129816d40940ca19dfa396944c71",
    "status": "REGISTERED"
  }
}
{
"error": {
"code": "bad_request",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#bad_request"
}
}
{
"error": {
"code": "unauthorized",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#unauthorized"
}
}
{
"error": {
"code": "forbidden",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#forbidden"
}
}
{
"error": {
"code": "not_found",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#not_found"
}
}
{
"error": {
"code": "unprocessable_entity",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#unprocessable_entity"
}
}
{
"error": {
"code": "rate_limit_exceeded",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#rate_limit_exceeded"
}
}
{
"error": {
"code": "internal_server_error",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#internal_server_error"
}
}
The default date range between startAt and endAt is 7 days, with startAt set 7 days before endAt.By default, endAt is set to the current timestamp (now).
The maximum allowed date range is 30 days.

Headers

X-API-Token
string
required

API Token for authentication

Query Parameters

txHash
string

The transaction hash associated with the event

Pattern: ^0x([A-Fa-f0-9]{64})$
startAt
string

Start date in ISO string format

Example:

"2024-11-15T00:00:00.000Z"

endAt
string

End date in ISO string format

Example:

"2024-12-15T00:00:00.000Z"

status
enum<string>

The status of Registration

Available options:
REGISTERED,
DEREGISTERED
skip
string
default:0

The number of records to skip for pagination

Example:

0

take
string
default:12

The number of records to return for pagination

Example:

12

Response

The registration events found.

tx
string
required

The transaction hash

Example:

"0xae41958d0342a4485536f701c72723625131680f182eb21f95abdac6d74d0ff0"

blockNumber
number
required

The block number of the transaction

Example:

21045085

blockTime
string
required

The block time of the transaction as an ISO 8601 string

Example:

"2024-10-25T20:41:11.000Z"

type
enum<string>
required

The type of the event

Available options:
REGISTRATION_STATUS
Example:

"REGISTRATION_STATUS"

args
object
required